Last Comment Bug 722180 - Remove error codes for proxies
: Remove error codes for proxies
Status: RESOLVED FIXED
[mentor=khuey][lang=c++]
:
Product: Core
Classification: Components
Component: XPCOM (show other bugs)
: unspecified
: All All
: -- trivial (vote)
: mozilla14
Assigned To: Ekanan Ketunuti
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-29 11:37 PST by Kyle Huey [:khuey] (khuey@mozilla.com) (Away until 6/13)
Modified: 2012-03-16 06:30 PDT (History)
5 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
rm error codes for proxies (3.33 KB, patch)
2012-02-01 04:06 PST, Ekanan Ketunuti
khuey: review+
Details | Diff | Review

Description Kyle Huey [:khuey] (khuey@mozilla.com) (Away until 6/13) 2012-01-29 11:37:14 PST
The error codes for XPCOM proxies (http://hg.mozilla.org/mozilla-central/annotate/f35a3eb44138/xpcom/base/nsError.h#l231) can be removed now that Bug 675221 is fixed.
Comment 1 Kyle Huey [:khuey] (khuey@mozilla.com) (Away until 6/13) 2012-01-29 11:38:03 PST
This will also mean removing the relevant lines from http://mxr.mozilla.org/mozilla-central/source/js/xpconnect/src/xpc.msg#124
Comment 2 Ekanan Ketunuti 2012-02-01 04:06:16 PST
Created attachment 593379 [details] [diff] [review]
rm error codes for proxies
Comment 3 Kyle Huey [:khuey] (khuey@mozilla.com) (Away until 6/13) 2012-02-06 12:01:22 PST
Comment on attachment 593379 [details] [diff] [review]
rm error codes for proxies

Review of attachment 593379 [details] [diff] [review]:
-----------------------------------------------------------------

Thanks for the patch!
Comment 4 Josh Matthews [:jdm] 2012-03-15 09:00:58 PDT
For shame!
Comment 5 Ryan VanderMeulen [:RyanVM] 2012-03-15 17:13:26 PDT
Thanks for the patch and thanks for using mq to make it!
https://hg.mozilla.org/integration/mozilla-inbound/rev/6fe7906c8d7a
Comment 6 Marco Bonardo [::mak] 2012-03-16 06:30:50 PDT
https://hg.mozilla.org/mozilla-central/rev/6fe7906c8d7a

Note You need to log in before you can comment on or make changes to this bug.